Bug 1707711 - Review Request: xe-guest-utilities - XAPI Virtual Machine Monitoring Scripts
Summary: Review Request: xe-guest-utilities - XAPI Virtual Machine Monitoring Scripts
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-08 07:40 UTC by Robin Lee
Modified: 2019-07-25 00:30 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-18 17:56:06 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Robin Lee 2019-05-08 07:40:16 UTC
Spec URL: https://cheeselee.fedorapeople.org/xe-guest-utilities.spec
SRPM URL: https://cheeselee.fedorapeople.org/xe-guest-utilities-7.11.0-1.fc30.src.rpm
Description:
Scripts for monitoring XAPI project virtual machine.

Writes distribution version information and IP address to XenStore.

Fedora Account System Username: cheeselee

Comment 1 Robert-André Mauchin 2019-06-05 19:27:01 UTC
 - %{_var} → %{_localstatedir}

 - Package is not installable:

DEBUG util.py:585:  BUILDSTDERR: Error: 
DEBUG util.py:585:  BUILDSTDERR:  Problem: conflicting requests
DEBUG util.py:585:  BUILDSTDERR:   - nothing provides xe-guest-utilities-xenstore = 7.11.0-1.fc31 needed by xe-guest-utilities-7.11.0-1.fc31.x86_64

Are you missing a subpackage?


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://docs.fedoraproject.org/en-US/packaging-guidelines/


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "BSD 2-clause "Simplified" License",
     "*No copyright* BSD (unspecified)". 62 files have unknown license.
     Detailed output of licensecheck in /home/bob/packaging/review/xe-
     guest-utilities/review-xe-guest-utilities/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: Uses parallel make %{?_smp_mflags} macro.
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: https://docs.fedoraproject.org/en-US/packaging-
     guidelines/#_use_rpmlint
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.



Rpmlint
-------
Checking: xe-guest-utilities-7.11.0-1.fc31.x86_64.rpm
          xe-guest-utilities-debuginfo-7.11.0-1.fc31.x86_64.rpm
          xe-guest-utilities-debugsource-7.11.0-1.fc31.x86_64.rpm
          xe-guest-utilities-7.11.0-1.fc31.src.rpm
xe-guest-utilities.x86_64: E: statically-linked-binary /usr/libexec/xe-guest-utilities/xenstore
xe-guest-utilities.x86_64: E: statically-linked-binary /usr/sbin/xe-daemon
xe-guest-utilities.x86_64: W: no-documentation
xe-guest-utilities.x86_64: W: no-manual-page-for-binary xe-daemon
xe-guest-utilities.x86_64: W: no-manual-page-for-binary xe-linux-distribution
4 packages and 0 specfiles checked; 2 errors, 3 warnings.

Comment 2 Robin Lee 2019-06-06 05:33:54 UTC
Spec URL: https://cheeselee.fedorapeople.org/xe-guest-utilities.spec
SRPM URL: https://cheeselee.fedorapeople.org/xe-guest-utilities-7.12.0-1.fc30.src.rpm
Changes:
- Update to 7.12.0
- Remove upstreamed patches
- Don't require removed subpackage
- use %%{_localstatedir} instead of %%{_var}

Comment 3 Robert-André Mauchin 2019-06-07 14:45:50 UTC
Package approved.

Comment 4 Gwyn Ciesla 2019-06-10 20:53:40 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/xe-guest-utilities

Comment 5 Fedora Update System 2019-07-09 15:37:56 UTC
FEDORA-2019-b43adc0da0 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-b43adc0da0

Comment 6 Fedora Update System 2019-07-09 15:38:00 UTC
FEDORA-EPEL-2019-e6e9ea6563 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-e6e9ea6563

Comment 7 Fedora Update System 2019-07-10 00:37:37 UTC
xe-guest-utilities-7.12.0-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-fd39f12229

Comment 8 Fedora Update System 2019-07-10 00:56:42 UTC
xe-guest-utilities-7.12.0-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-e6e9ea6563

Comment 9 Fedora Update System 2019-07-10 02:41:30 UTC
xe-guest-utilities-7.12.0-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-b43adc0da0

Comment 10 Fedora Update System 2019-07-18 17:56:06 UTC
xe-guest-utilities-7.12.0-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-07-18 20:32:46 UTC
xe-guest-utilities-7.12.0-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2019-07-25 00:30:12 UTC
xe-guest-utilities-7.12.0-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.